#
# spec file for package extra-cmake-modules
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           extra-cmake-modules
Summary:        CMake modules
License:        BSD-3-Clause
Group:          Development/Tools/Other
Url:            https://projects.kde.org/projects/kdesupport/extra-cmake-modules
Version:        1.1.0
Release:        0
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake >= 2.8.12
BuildRequires:  gcc-c++
BuildRequires:  kf5-filesystem >= 4.100.0
BuildRequires:  python-Sphinx
Requires:       cmake >= 2.8.12
Requires:       kf5-filesystem
Requires:       pkgconfig(Qt5Core) >= 5.2.0
Provides:       kf5umbrella = 4.99.0
Obsoletes:      kf5umbrella < 4.99.0
Recommends:     %{name}-doc

%description
Extra modules and scripts for CMake.

For more information see http://community.kde.org/KDE_Core/Platform_11/Buildsystem/FindFilesSurvey

%package doc
Summary:        Documentation for extra-cmake-modules
Group:          Documentation/Other
BuildArch:      noarch
Requires:       %{name} = %{version}

%description doc
Extra modules and scripts for CMake.

For more information see http://community.kde.org/KDE_Core/Platform_11/Buildsystem/FindFilesSurvey
This package provides documentation for extra-cmake-modules

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%files
%defattr(-,root,root,-)
%{_datadir}/ECM/
%{_mandir}/man7/ecm*.7*

%files doc
%defattr(-,root,root,-)
%doc %{_datadir}/doc/ECM/

%changelog
